Bug 1813964 - [OAS] fixes configmap "extension-apiserver-authentication" not found [NEEDINFO]
Summary: [OAS] fixes configmap "extension-apiserver-authentication" not found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: openshift-apiserver
Version: 4.5
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: ---
: 4.5.0
Assignee: Lukasz Szaszkiewicz
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks: 1814207
TreeView+ depends on / blocked
 
Reported: 2020-03-16 15:08 UTC by Xingxing Xia
Modified: 2021-01-19 08:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of: 1812878
: 1814207 1820486 (view as bug list)
Environment:
Last Closed: 2020-12-18 15:05:01 UTC
Target Upstream Version:
shsaxena: needinfo?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 86 0 None closed Bug 1813964: fixes configmap "extension-apiserver-authentication" not found 2021-01-17 13:36:36 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:20:41 UTC

Description Xingxing Xia 2020-03-16 15:08:23 UTC
+++ This bug was initially created as a clone of Bug #1812878 +++

4.5.0-0.nightly-2020-03-15-220309 OAS log also has same issue:
$ oc logs deploy/apiserver -n openshift-apiserver
Copying system trust bundle
W0316 02:58:17.187306       1 configmap_cafile_content.go:102] unable to load initial CA bundle for: "client-ca::kube-system::extension-apiserver-authentication::client-ca-file" due to: configmap "extension-apiserver-authentication" not found
W0316 02:58:17.187606       1 configmap_cafile_content.go:102] unable to load initial CA bundle for: "client-ca::kube-system::extension-apiserver-authentication::requestheader-client-ca-file" due to: configmap "extension-apiserver-authentication" not found
...

Comment 3 Xingxing Xia 2020-04-03 06:02:38 UTC
Verified in 4.5.0-0.nightly-2020-04-02-222604, issue is gone.

Comment 5 errata-xmlrpc 2020-07-13 17:20:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.